function [Y] = SEG_A_DOPLN_vzorky(y, prumerna_delka)

    remainder = rem(length(y),prumerna_delka);

    if remainder ~= 0
        y(end+1:prumerna_delka-remainder+end) = 0;                          %doplneni nulami
    end

    pocet_oken = length(y)/prumerna_delka;


    Y = reshape(y,prumerna_delka,pocet_oken);                               %prevedeni na matici oken
    
end